org.apache.lucene.search.join

## Class BitDocIdSetFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.Filter
    - - org.apache.lucene.search.join.BitDocIdSetFilter

- All Implemented Interfaces:
    Cloneable, BitSetProducer
  Direct Known Subclasses:
    BitDocIdSetCachingWrapperFilter

  Deprecated.
  Use `BitSetProducer` instead

      @Deprecated
      public abstract class BitDocIdSetFilter
      extends Filter
      implements BitSetProducer

  A `Filter` that produces `BitDocIdSet`s.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BitDocIdSetFilter()` Deprecated. Sole constructor, typically called from sub-classes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitSet` | `getBitSet(LeafReaderContext context)` Deprecated. Produce a `BitSet` matching the expected documents on the given segment.
    `abstract BitDocIdSet` | `getDocIdSet(LeafReaderContext context)` Deprecated. Same as `getDocIdSet(LeafReaderContext, Bits)` but does not take acceptDocs into account and guarantees to return a `BitDocIdSet`.
    `DocIdSet` | `getDocIdSet(LeafReaderContext context, Bits acceptDocs)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, equals, getBoost, hashCode, setBoost, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BitDocIdSetFilter

          protected BitDocIdSetFilter()

      Deprecated.
      Sole constructor, typically called from sub-classes.

  - ### Method Detail

    - #### getDocIdSet

          public abstract BitDocIdSet getDocIdSet(LeafReaderContext context)
                                           throws IOException

      Deprecated.
      Same as `getDocIdSet(LeafReaderContext, Bits)` but does not take acceptDocs into account and guarantees to return a `BitDocIdSet`.
      Throws:
        `IOException`

    - #### getDocIdSet

          public final DocIdSet getDocIdSet(LeafReaderContext context,
                             Bits acceptDocs)
                                     throws IOException

      Deprecated.
      Specified by:
        `getDocIdSet` in class `Filter`
      Throws:
        `IOException`

    - #### getBitSet

          public final BitSet getBitSet(LeafReaderContext context)
                                 throws IOException

      Deprecated.
      Description copied from interface: `BitSetProducer`
      Produce a `BitSet` matching the expected documents on the given segment. This may return `null` if no documents match.
      Specified by:
        `getBitSet` in interface `BitSetProducer`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.